<?php
include "../../inc/inc.koneksi.php";

$table	="piutang";

$kode	    =$_POST[kodepl];
$nama	    =$_POST[nama];
$nofak	    =$_POST[nofak];
$nopol	    =$_POST[nopol];
$tanggal    =$_POST[tanggal];
$jmlliter   =$_POST[jmlliter];
$jumlah	    =$_POST[jumlah];
$tanggaljt  =$_POST[tanggaljt];

$sql	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$piut	= $r[piutang];
$labdit	= $r[laba_dit];
$nobp	= $piut.$kode;

$sql = mysql_query("SELECT * FROM $table WHERE nofak= '$nofak'");
$row = mysql_num_rows($sql);
if ($row>0){
	$r 		= mysql_fetch_assoc($sql);
	$jmlawl	= $r[jumlah];
	
	mysql_query("UPDATE $table SET tanggal='$tanggal',nopol='$nopol',jml_liter='$jmlliter',jumlah='$jumlah',tanggal_jt='$tanggaljt',lastupdate=now() WHERE nofak= '$nofak'");
	
	mysql_query("UPDATE akun_bp SET saldo=saldo-$jmlawl+$jumlah,lastupdate=now() WHERE noakun= '$nobp'");
	mysql_query("UPDATE akun_bb SET saldo=saldo-$jmlawl+$jumlah,lastupdate=now() WHERE noakun= '$piut'");
	
	mysql_query("UPDATE akun_bb SET saldo=saldo-$jmlawl+$jumlah,lastupdate=now() WHERE noakun= '$labdit'");
	echo "Data Sukses diubah.";
}
else{
	mysql_query("INSERT INTO $table (kode_pl,nama,nofak,tanggal,nopol,jml_liter,jumlah,tanggal_jt) VALUES('$kode','$nama','$nofak','$tanggal','$nopol','$jmlliter','$jumlah','$tanggaljt')");
	
	mysql_query("UPDATE akun_bp SET saldo=saldo+$jumlah,lastupdate=now() WHERE noakun= '$nobp'");
	mysql_query("UPDATE akun_bb SET saldo=saldo]+$jumlah,lastupdate=now() WHERE noakun= '$piut'");
	mysql_query("UPDATE akun_bb SET saldo=saldo+$jumlah,lastupdate=now() WHERE noakun= '$labdit'");
	echo "Data sukses disimpan";
}
?>